#
# spec file for package kf5-filesystem
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kf5-filesystem
Url:            http://www.kde.org
Version:        20160807
Release:        2.5
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        KF5 Directory Layout
License:        LGPL-2.1+
Group:          System/Fhs
Source0:        macros.kf5
Source1:        COPYING

%description
This package provides macros which are utilized with extra-cmake-modules' KDEInstallDirs.

%define _kf5_prefix     %{_prefix}
%define _kf5_bindir     %{_kf5_prefix}/bin
%define _kf5_sharedir   %{_datadir}
%define _kf5_datadir    %{_kf5_sharedir}/kf5
%define _kf5_includedir %{_includedir}/KF5
%define _kf5_libdir     %{_kf5_prefix}/%{_lib}
%define _kf5_libexecdir %{_kf5_libdir}/libexec/kf5
%define _kf5_mandir     %{_mandir}
%define _kf5_sbindir    %{_sbindir}
%define _kf5_notifydir  %{_kf5_sharedir}/knotifications5
%define _kf5_sysconfdir %{_sysconfdir}
%define _kf5_plugindir  %{_kf5_libdir}/qt5/plugins
%define _kf5_plasmadir  %{_kf5_sharedir}/plasma
%define _kf5_importdir  %{_kf5_libdir}/qt5/imports
%define _kf5_qmldir     %{_kf5_libdir}/qt5/qml
%define _kf5_cmakedir   %{_kf5_libdir}/cmake
%define _kf5_mkspecsdir %{_kf5_libdir}/qt5/mkspecs/modules
%define _kf5_dbusinterfacesdir %{_kf5_sharedir}/dbus-1/interfaces
%define _kf5_configdir       %{_kf5_sysconfdir}/xdg
%define _kf5_iconsdir        %{_kf5_sharedir}/icons
%define _kf5_wallpapersdir   %{_kf5_sharedir}/wallpapers
%define _kf5_appsdir         %{_kf5_sharedir}
%define _kf5_configkcfgdir   %{_kf5_sharedir}/config.kcfg
%define _kf5_servicesdir     %{_kf5_sharedir}/kservices5
%define _kf5_servicetypesdir %{_kf5_sharedir}/kservicetypes5
%define _kf5_htmldir         %{_kf5_sharedir}/doc/HTML
%define _kf5_kxmlguidir      %{_kf5_sharedir}/kxmlgui5

%prep

%build
%if 0%{?suse_version} <= 1320 && 0%{?sle_version} <= 120100
    sed -i 's|%%{_kf5_sharedir}/metainfo|%%{_kf5_sharedir}/appdata|g' $RPM_SOURCE_DIR/macros.kf5
%define _kf5_appstreamdir    %{_kf5_sharedir}/appdata
%else
%define _kf5_appstreamdir    %{_kf5_sharedir}/metainfo
%endif

%install
install -D -m644 %{SOURCE0} %{buildroot}%{_sysconfdir}/rpm/macros.kf5
install -D -m644 %{SOURCE1} %{buildroot}%{_docdir}/kf5-filesystem/COPYING

mkdir -p %{buildroot}%{_kf5_includedir}
mkdir -p %{buildroot}%{_kf5_libexecdir}
mkdir -p %{buildroot}%{_kf5_libdir}/qt5
mkdir -p %{buildroot}%{_kf5_libdir}/qt5/plugins
mkdir -p %{buildroot}%{_kf5_plugindir}
mkdir -p %{buildroot}%{_kf5_qmldir}
mkdir -p %{buildroot}%{_kf5_datadir}
mkdir -p %{buildroot}%{_kf5_plasmadir}
mkdir -p %{buildroot}%{_kf5_importdir}
mkdir -p %{buildroot}%{_kf5_mandir}
mkdir -p %{buildroot}%{_kf5_mandir}/man{1,2,3,4,5,6,7,8,9}
mkdir -p %{buildroot}%{_kf5_sbindir}
mkdir -p %{buildroot}%{_kf5_notifydir}
mkdir -p %{buildroot}%{_kf5_sysconfdir}
mkdir -p %{buildroot}%{_kf5_sysconfdir}/xdg
mkdir -p %{buildroot}%{_kf5_sysconfdir}/dbus-1
mkdir -p %{buildroot}%{_kf5_sysconfdir}/dbus-1/system.d
mkdir -p %{buildroot}%{_kf5_cmakedir}
mkdir -p %{buildroot}%{_kf5_dbusinterfacesdir}
mkdir -p %{buildroot}%{_kf5_servicesdir}
mkdir -p %{buildroot}%{_kf5_servicetypesdir}
mkdir -p %{buildroot}%{_kf5_configdir}
mkdir -p %{buildroot}%{_kf5_sharedir}
mkdir -p %{buildroot}%{_kf5_sharedir}/doc/HTML
mkdir -p %{buildroot}%{_kf5_sharedir}/doc/HTML/en
mkdir -p %{buildroot}%{_kf5_kxmlguidir}
mkdir -p %{buildroot}%{_kf5_appstreamdir}

for size in scalable 128x128 64x64 48x48 32x32 22x22 16x16; do
for type in actions apps devices filesystems mimetypes places status; do
  for theme in crystalsvg oxygen hicolor locolor; do
    mkdir -p %{buildroot}%{_kf5_sharedir}/icons/$theme/$size/$type
  done
done
done
mkdir -p %{buildroot}%{_kf5_sharedir}/icons/oxygen/scalable/apps/small/{16x16,32x32}
mkdir -p %{buildroot}%{_kf5_sharedir}/icons/oxygen/scalable/status/small/{16x16,22x22,48x48}

%files
%defattr(-,root,root)
%{_sysconfdir}/rpm/macros.kf5
%dir %{_docdir}/kf5-filesystem
%{_docdir}/kf5-filesystem/COPYING
%dir %{_kf5_includedir}
%dir %{_kf5_plugindir}
%dir %{_kf5_libdir}/libexec
%dir %{_kf5_libexecdir}
%dir %{_kf5_libdir}/qt5
%dir %{_kf5_libdir}/qt5/plugins
%dir %{_kf5_plugindir}
%dir %{_kf5_datadir}
%dir %{_kf5_qmldir}
%dir %{_kf5_plasmadir}
%dir %{_kf5_importdir}
%dir %{_kf5_notifydir}
%dir %{_kf5_sysconfdir}/xdg
%dir %{_kf5_sysconfdir}/dbus-1
%dir %{_kf5_sysconfdir}/dbus-1/system.d
%dir %{_kf5_cmakedir}
%dir %{_kf5_sharedir}/dbus-1
%dir %{_kf5_sharedir}/dbus-1/interfaces
%dir %{_kf5_dbusinterfacesdir}
%dir %{_kf5_servicesdir}
%dir %{_kf5_servicetypesdir}
%dir %{_kf5_sharedir}
%dir %{_kf5_configdir}
%dir %{_kf5_sharedir}/icons/*
%dir %{_kf5_sharedir}/icons/*/*
%dir %{_kf5_sharedir}/icons/*/*/*
%dir %{_kf5_sharedir}/doc/HTML
%dir %{_kf5_sharedir}/doc/HTML/en
%dir %{_kf5_kxmlguidir}
%dir %{_kf5_appstreamdir}

%changelog
* Wed Aug 24 2016 fabian@ritter-vogt.de
- Own %%_kf5_appstreamdir
* Wed Aug 17 2016 fabian@ritter-vogt.de
- Use metainfo for %%_kf5_appstreamdir on Leap >= 42.2
* Sun Aug  7 2016 hrvoje.senjan@gmail.com
- Use appdata dir for %%_kf5_appstreamdir on older oS releases
* Wed Apr 20 2016 hrvoje.senjan@gmail.com
- Define %%_kf5_appstreamdir
* Sat Apr  9 2016 hrvoje.senjan@gmail.com
- Explicitly disable KDE_INSTALL_USE_QT_SYS_PATHS: we don't trust
  upstream enough to use absolute paths everywhere
* Mon Sep 21 2015 wbauer@tmo.at
- Add a new %%kf5_find_lang macro. Purpose and usage is similar to
  the standard %%find_lang macro (on which this is loosely based),
  but it only looks for translations files in /usr/share/locale/kf5
* Fri Aug  7 2015 tittiatcoke@gmail.com
- Fix the create_subdir_filelist macro.
* Thu Jul  2 2015 tchvatal@suse.com
- Respect CFLAGS and CXXFLAGS if present in environment like
  regular %%cmake macro
* Wed Jun 10 2015 hrvoje.senjan@gmail.com
- Change versionining from KF5-version-based to date-based
- Drop and %%_kf5_version %%_plasma5_branding_version macros.
  _kf5_version is unused since KF5 5.5.0, and for plasma we can
  utilize individual packages version
- Add a warning that these macros are only guaranteed to be suitable
  for projects/packages which use KDEInstallDirs from extra-cmake-modules,
  and can, to some extent work with cmake's GNUInstallDirs.
* Sat Jan  3 2015 hrvoje.senjan@gmail.com
- Use new KDE_ variables in cmake_kf5 macro
- Bump to 5.6.0
* Sat Jan  3 2015 tittiatcoke@gmail.com
- Add KF5 xmlguidir to macros
* Thu Sep 25 2014 hrvoje.senjan@gmail.com
- Add KF5 localedir to macros
* Mon Sep  8 2014 hrvoje.senjan@gmail.com
- Bump to 5.2.0
* Sat Aug  2 2014 hrvoje.senjan@gmail.com
- Bump to 5.1.0
- Stop passing relative vars as absolute (that works with regards
  to installing files, but breaks when used as #define)
* Tue Jul  1 2014 hrvoje.senjan@gmail.com
- Bump to 5.0.0
- Make buildtype None, and pass -DNEDEBUG to cmake flags (this avoids
  passing different compiler optimizations, e.g. -02 vs -03)
* Sun Jun  1 2014 hrvoje.senjan@gmail.com
- Bump to 4.100.0
* Sun May  4 2014 hrvoje.senjan@gmail.com
- Bump to 4.99.0
- Adjust macros per latest defaults in extra-cmake-modules
* Fri Apr 18 2014 hrvoje.senjan@gmail.com
- Add as-needed, no-undefined and -Bsymbolic-functions link flags
  to cmake_kf5 macro
* Sat Mar 29 2014 hrvoje.senjan@gmail.com
- Bump to 4.98.0
* Sat Mar  1 2014 hrvoje.senjan@gmail.com
- Bump to 4.97.0
* Sat Feb  8 2014 hrvoje.senjan@gmail.com
- Init kf5-filesystem package
